GNU bug report logs - #6457
24.0.50; Inappropriate error msg for set-variable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: confirmed wontfix; dated Fri, 18 Jun 2010 16:09:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 08:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 03:17:20 2014
Received: from localhost ([127.0.0.1]:52037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBK96-0007q2-Ed
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 03:17:19 -0500
Received: from mtaout25.012.net.il ([80.179.55.181]:51444)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WBK91-0007pp-BY
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 03:17:15 -0500
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0N0K00P00ETW9300@HIDDEN> for
 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 10:16:25 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0K00F8HEZD9JB0@HIDDEN>; Thu, 06 Feb 2014 10:16:25 +0200 (IST)
Date: Thu, 06 Feb 2014 10:17:06 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
In-reply-to: <87lhxorc0d.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Lars Ingebrigtsen <larsi@HIDDEN>
Message-id: <83ob2kzmd9.fsf@HIDDEN>
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN> <83y51ozs7u.fsf@HIDDEN>
 <87lhxorc0d.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: drew.adams@HIDDEN,  6457 <at> debbugs.gnu.org
> Date: Wed, 05 Feb 2014 22:28:02 -0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> set-variable: Value `1e+19' does not match type integer of
> >> scroll-conservatively
> >> 
> >> So I can reproduce this bug.
> >
> > Yes, you can, just in a slightly different way: the user didn't enter
> > 1e+19, either.
> 
> Yeah, I said "can", not "can't".  >"?

Sorry, I didn't have enough caffeine in my blood when I wrote that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 08:06:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 03:06:29 2014
Received: from localhost ([127.0.0.1]:52033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBJye-0007Zb-Jp
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 03:06:28 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:48377)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WBJyc-0007ZT-IC
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 03:06:27 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WBJyZ-00024T-QQ; Thu, 06 Feb 2014 03:06:23 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN> <epfvnxuieu.fsf@HIDDEN>
 <83sirwzrtf.fsf@HIDDEN> <87fvnwrbjw.fsf@HIDDEN>
X-Spook: domestic disruption Axis of Evil CIA ASLET JFK Aladdin
X-Ran: 4WyJthq\tiK_.?m5sa/g2+<8)6K?}PomSS[glqZ;-6F141HhN^Ww9MsV9XB$KZ4n_lt[N#
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 06 Feb 2014 03:06:23 -0500
In-Reply-To: <87fvnwrbjw.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Wed, 05 Feb 2014 22:37:55 -0800")
Message-ID: <96r47gvf5s.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 6457
Cc: Eli Zaretskii <eliz@HIDDEN>, 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

Lars Ingebrigtsen wrote:

> I agree that it's a minor thing, but it's an "er what?" moment for the
> user.

Realistically, how often do you expect people to try to customize
integer variables to values larger than most-positive-fixnum?
"I wonder what will happen if I set this to an absurdly large value"
does not count.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 06:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 01:55:16 2014
Received: from localhost ([127.0.0.1]:52003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBIri-0005lM-Uj
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:55:16 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:32606)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WBIrg-0005lD-Pk
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:55:13 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s166tAip001797
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 6 Feb 2014 06:55:11 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s166t9YR017015
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Thu, 6 Feb 2014 06:55:09 GMT
Received: from abhmp0002.oracle.com (abhmp0002.oracle.com [141.146.116.8])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s166t8sM028941;
 Thu, 6 Feb 2014 06:55:08 GMT
MIME-Version: 1.0
Message-ID: <7b9577e9-d8d8-425f-8ff4-e907d86e0caa@default>
Date: Wed, 5 Feb 2014 22:55:07 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#6457: 24.0.50; Inappropriate error msg for set-variable
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN> <epfvnxuieu.fsf@HIDDEN>
 <83sirwzrtf.fsf@HIDDEN> <87fvnwrbjw.fsf@HIDDEN>
In-Reply-To: <87fvnwrbjw.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

> Or is this problem only present for `set-variable'?  Then it might
> not be worth fixing.

No, it is a general problem.

It's a problem here because `read-from-minibuffer' reads an
integer numeral as input, and the value read is effectively a
floating-point number.

You can see the same thing happen for (format "%S" 999999999).
That returns the number 999999999.0.

IOW, it is the Lisp reader that reads an integer numeral and
returns a non-integer number: (not (integerp 999999999)).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 06:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 01:39:17 2014
Received: from localhost ([127.0.0.1]:51995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBIcG-0004F6-RR
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:39:17 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:39183)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WBIcD-0004Ew-Pb
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:39:14 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WBIbz-0006we-DD; Thu, 06 Feb 2014 07:38:59 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN> <epfvnxuieu.fsf@HIDDEN>
 <83sirwzrtf.fsf@HIDDEN>
Date: Wed, 05 Feb 2014 22:37:55 -0800
In-Reply-To: <83sirwzrtf.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 06 Feb
 2014 08:19:24 +0200")
Message-ID: <87fvnwrbjw.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WBIbz-0006we-DD
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392273539.86998@e0//1PXzT79Y+RcK+y/hlg
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6457
Cc: Glenn Morris <rgm@HIDDEN>, 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> If so, I guess it is impossible for lisp code to know whether the user
>> originally typed an integer or a float. Therefore it is impossible to do
>> anything about this. It frankly doesn't seem worth bothering about
>> anyway.
>
> Then "wontfix" it.

I agree that it's a minor thing, but it's an "er what?" moment for the
user.  So if anybody has an idea for how to fix this in a manner that
works across everything that asks for an integer, that would be nice...

Or is this problem only present for `set-variable'?  Then it might not
be worth fixing.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 06:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 01:29:28 2014
Received: from localhost ([127.0.0.1]:51981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBISl-0003vL-5D
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:29:27 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:43094)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WBISi-0003v9-6n
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:29:25 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WBISP-0006mq-TE; Thu, 06 Feb 2014 07:29:06 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN> <83y51ozs7u.fsf@HIDDEN>
Date: Wed, 05 Feb 2014 22:28:02 -0800
In-Reply-To: <83y51ozs7u.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 06 Feb
 2014 08:10:45 +0200")
Message-ID: <87lhxorc0d.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WBISP-0006mq-TE
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392272949.7654@g9Vk+gDEUM0S2aFVUw3p+A
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> set-variable: Value `1e+19' does not match type integer of
>> scroll-conservatively
>> 
>> So I can reproduce this bug.
>
> Yes, you can, just in a slightly different way: the user didn't enter
> 1e+19, either.

Yeah, I said "can", not "can't".  >"?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 06:19:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 01:19:31 2014
Received: from localhost ([127.0.0.1]:51969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBIJ8-0003ft-W9
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:19:31 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:35537)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WBIJ6-0003fl-QG
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:19:29 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0N0K005009JHTX00@HIDDEN> for
 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 08:20:40 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0K004J59MGX410@HIDDEN>; Thu, 06 Feb 2014 08:20:40 +0200 (IST)
Date: Thu, 06 Feb 2014 08:19:24 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
In-reply-to: <epfvnxuieu.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <83sirwzrtf.fsf@HIDDEN>
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN> <epfvnxuieu.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Wed, 05 Feb 2014 20:41:29 -0500
> 
> Lars Ingebrigtsen wrote:
> 
> > set-variable: Value `1e+19' does not match type integer of scroll-conservatively
> >
> 
> I guess this is due to the feature whereby values too large for integers
> are read as floats, eg
> 
> http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00181.html
> 
> If so, I guess it is impossible for lisp code to know whether the user
> originally typed an integer or a float. Therefore it is impossible to do
> anything about this. It frankly doesn't seem worth bothering about
> anyway.

Then "wontfix" it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 06:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 01:11:00 2014
Received: from localhost ([127.0.0.1]:51937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBIAq-0003OJ-Id
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:11:00 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:57024)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WBIAk-0003O4-C8
 for 6457 <at> debbugs.gnu.org; Thu, 06 Feb 2014 01:10:54 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0N0K00E00908R700@HIDDEN> for 6457 <at> debbugs.gnu.org;
 Thu, 06 Feb 2014 08:10:48 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0K00ETW960PZ20@HIDDEN>;
 Thu, 06 Feb 2014 08:10:48 +0200 (IST)
Date: Thu, 06 Feb 2014 08:10:45 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
In-reply-to: <87k3d9yti0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Lars Ingebrigtsen <larsi@HIDDEN>
Message-id: <83y51ozs7u.fsf@HIDDEN>
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 05 Feb 2014 16:28:23 -0800
> Cc: 6457 <at> debbugs.gnu.org
> 
> "Drew Adams" <drew.adams@HIDDEN> writes:
> 
> >> > The error message is this:
> >> >
> >> > Value `999999999.0' does not match type integer of
> >> > scroll-conservatively.
> >
> > That is still the (inappropriate) error message.
> >
> >> I can't reproduce this bug when I set to 999999999.
> >
> > Perhaps it is platform-specific.
> >
> >> When I tried a larger value "9999999999999999999",
> >> I get the following error:
> >> 
> >>   Arithmetic overflow error: "9999999999999999999"
> >
> > Perhaps the inappropriate error message is platform-specific.
> >
> > I definitely see that message with emacs -Q.
> 
> I get:
> 
> set-variable: Value `1e+19' does not match type integer of scroll-conservatively
> 
> So I can reproduce this bug.

Yes, you can, just in a slightly different way: the user didn't enter
1e+19, either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.
Added tag(s) wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 01:41:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 05 20:41:34 2014
Received: from localhost ([127.0.0.1]:51731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBDy9-0002NG-Q1
	for submit <at> debbugs.gnu.org; Wed, 05 Feb 2014 20:41:34 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:43665)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WBDy7-0002N8-6s
 for 6457 <at> debbugs.gnu.org; Wed, 05 Feb 2014 20:41:32 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WBDy6-0000hL-3F; Wed, 05 Feb 2014 20:41:30 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 6457 <at> debbugs.gnu.org
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
 <87k3d9yti0.fsf@HIDDEN>
X-Spook: JFK NWO Syria fissionable mailbomb Ft. Meade diwn brigand
X-Ran: l]TCU):JphphOw}i%#s1BvbLhgQpP@q:QNapw_+/BNFt*E@qz9~`rRMqXb`umez!wSCnU4
X-Hue: red
X-Attribution: GM
Date: Wed, 05 Feb 2014 20:41:29 -0500
Message-ID: <epfvnxuieu.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 6457
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

Lars Ingebrigtsen wrote:

> set-variable: Value `1e+19' does not match type integer of scroll-conservatively
>

I guess this is due to the feature whereby values too large for integers
are read as floats, eg

http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00181.html

If so, I guess it is impossible for lisp code to know whether the user
originally typed an integer or a float. Therefore it is impossible to do
anything about this. It frankly doesn't seem worth bothering about
anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 6 Feb 2014 00:29:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 05 19:29:44 2014
Received: from localhost ([127.0.0.1]:51566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WBCqe-0004A4-4B
	for submit <at> debbugs.gnu.org; Wed, 05 Feb 2014 19:29:44 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:46633)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WBCqb-00049v-3T
 for 6457 <at> debbugs.gnu.org; Wed, 05 Feb 2014 19:29:41 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WBCqM-0007hE-1e; Thu, 06 Feb 2014 01:29:26 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
 <87631fje3v.fsf@HIDDEN>
 <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
Date: Wed, 05 Feb 2014 16:28:23 -0800
In-Reply-To: <A410D20AD3CA4E9FA32958780885DF13@HIDDEN> (Drew Adams's
 message of "Sun, 20 Jun 2010 07:47:49 -0700")
Message-ID: <87k3d9yti0.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WBCqM-0007hE-1e
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392251366.73105@JQU0GSpBHRqsfJ/nGhip4w
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6457
Cc: 'Juri Linkov' <juri@HIDDEN>, 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"Drew Adams" <drew.adams@HIDDEN> writes:

>> > The error message is this:
>> >
>> > Value `999999999.0' does not match type integer of
>> > scroll-conservatively.
>
> That is still the (inappropriate) error message.
>
>> I can't reproduce this bug when I set to 999999999.
>
> Perhaps it is platform-specific.
>
>> When I tried a larger value "9999999999999999999",
>> I get the following error:
>> 
>>   Arithmetic overflow error: "9999999999999999999"
>
> Perhaps the inappropriate error message is platform-specific.
>
> I definitely see that message with emacs -Q.

I get:

set-variable: Value `1e+19' does not match type integer of scroll-conservatively

So I can reproduce this bug.

(This is with Emacs 23.3.50 on Fedora.)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 20 Jun 2010 14:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 20 10:48:31 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OQLp0-0002QI-PA
	for submit <at> debbugs.gnu.org; Sun, 20 Jun 2010 10:48:30 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OQLoz-0002QD-Cn
	for 6457 <at> debbugs.gnu.org; Sun, 20 Jun 2010 10:48:29 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by rcsinet10.oracle.com (Switch-3.4.2/Switch-3.4.2) with ESMTP id
	o5KEmLYR030989
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 20 Jun 2010 14:48:23 GMT
Received: from acsmt353.oracle.com (acsmt353.oracle.com [141.146.40.153])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o5KEg1W6004052; Sun, 20 Jun 2010 14:48:21 GMT
Received: from abhmt013.oracle.com by acsmt353.oracle.com
	with ESMTP id 357977621277045255; Sun, 20 Jun 2010 07:47:35 -0700
Received: from dradamslap1 (/10.175.249.190)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 20 Jun 2010 07:47:35 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
	<87631fje3v.fsf@HIDDEN>
Subject: RE: bug#6457: 24.0.50; Inappropriate error msg for set-variable
Date: Sun, 20 Jun 2010 07:47:49 -0700
Message-ID: <A410D20AD3CA4E9FA32958780885DF13@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87631fje3v.fsf@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5931
Thread-Index: AcsQJRybRzTsIA4rTGSsRjCzrtWAzAAYiECw
X-Auth-Type: Internal IP
X-Source-IP: acsinet15.oracle.com [141.146.126.227]
X-CT-RefId: str=0001.0A090203.4C1E2A37.0254:SCFMA922111,ss=1,fgs=0
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

> > emacs -Q
> > M-x set-variable RET scroll-conservatively
> > Set scroll-conservatively globally to value (0): 99999999 RET
> >
> > No problem. Now do it again, adding one more `9':
> > M-x set-variable RET scroll-conservatively
> > Set scroll-conservatively globally to value (99999999): 
> 999999999 RET
> 
> What is a number in parens?  I don't have these parens.
> Do you use a modified source?

Forget the number in parens.
No, it does not appear with emacs -Q.

> > The error message is this:
> >
> > Value `999999999.0' does not match type integer of
> > scroll-conservatively.

That is still the (inappropriate) error message.

> I can't reproduce this bug when I set to 999999999.

Perhaps it is platform-specific.

> When I tried a larger value "9999999999999999999",
> I get the following error:
> 
>   Arithmetic overflow error: "9999999999999999999"

Perhaps the inappropriate error message is platform-specific.

I definitely see that message with emacs -Q.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at 6457 <at> debbugs.gnu.org:


Received: (at 6457) by debbugs.gnu.org; 19 Jun 2010 14:55:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 19 10:55:18 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OPzS1-0006Nk-Sw
	for submit <at> debbugs.gnu.org; Sat, 19 Jun 2010 10:55:18 -0400
Received: from smtp-out1.starman.ee ([85.253.0.3] helo=mx1.starman.ee)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1OPzRx-0006ND-Kz
	for 6457 <at> debbugs.gnu.org; Sat, 19 Jun 2010 10:55:14 -0400
X-Virus-Scanned: by Amavisd-New at mx1.starman.ee
Received: from mail.starman.ee (82.131.99.175.cable.starman.ee [82.131.99.175])
	by mx1.starman.ee (Postfix) with ESMTP id 90E193F4185;
	Sat, 19 Jun 2010 17:55:06 +0300 (EEST)
From: Juri Linkov <juri@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable
Organization: JURTA
References: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
Date: Sat, 19 Jun 2010 17:43:16 +0300
In-Reply-To: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN> (Drew Adams's
	message of "Fri, 18 Jun 2010 09:06:59 -0700")
Message-ID: <87631fje3v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 6457
Cc: 6457 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

> emacs -Q
> M-x set-variable RET scroll-conservatively
> Set scroll-conservatively globally to value (0): 99999999 RET
>
> No problem. Now do it again, adding one more `9':
> M-x set-variable RET scroll-conservatively
> Set scroll-conservatively globally to value (99999999): 999999999 RET

What is a number in parens?  I don't have these parens.
Do you use a modified source?

> The error message is this:
>
> Value `999999999.0' does not match type integer of
> scroll-conservatively.

I can't reproduce this bug when I set to 999999999.

When I tried a larger value "9999999999999999999",
I get the following error:

  Arithmetic overflow error: "9999999999999999999"

-- 
Juri Linkov
http://www.jurta.org/emacs/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jun 2010 16:08:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 18 12:08:41 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OPe7T-0004dI-Hy
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2010 12:08:39 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OPe7R-0004dB-Mt
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2010 12:08:38 -0400
Received: from lists.gnu.org ([199.232.76.165]:38365)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>) id 1OPe7N-00045T-6n
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2010 12:08:33 -0400
Received: from [140.186.70.92] (port=38818 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OPe7L-0006d3-GW
	for bug-gnu-emacs@HIDDEN; Fri, 18 Jun 2010 12:08:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD, UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OPe7K-0000Z1-9o
	for bug-gnu-emacs@HIDDEN; Fri, 18 Jun 2010 12:08:31 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121]:31133)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OPe7J-0000Yk-VF
	for bug-gnu-emacs@HIDDEN; Fri, 18 Jun 2010 12:08:30 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by rcsinet10.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o5IG8PSQ028856
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Fri, 18 Jun 2010 16:08:27 GMT
Received: from acsmt355.oracle.com (acsmt355.oracle.com [141.146.40.155])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o5IG8Ogq004811
	for <bug-gnu-emacs@HIDDEN>; Fri, 18 Jun 2010 16:08:24 GMT
Received: from abhmt016.oracle.com by acsmt355.oracle.com
	with ESMTP id 339109251276877210; Fri, 18 Jun 2010 09:06:50 -0700
Received: from dradamslap1 (/141.144.168.117)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 18 Jun 2010 09:06:50 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.50; Inappropriate error msg for set-variable
Date: Fri, 18 Jun 2010 09:06:59 -0700
Message-ID: <E58AC1E83C9D4D148E154BABE2D4AF8F@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5931
Thread-Index: AcsPAEgDnmFvLcmTTBuX9DfR2qI5JA==
X-Auth-Type: Internal IP
X-Source-IP: acsinet15.oracle.com [141.146.126.227]
X-CT-RefId: str=0001.0A090205.4C1B99FC.006B:SCFMA922111,ss=1,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

emacs -Q
M-x set-variable RET scroll-conservatively 
Set scroll-conservatively globally to value (0): 99999999 RET
 
No problem. Now do it again, adding one more `9':
M-x set-variable RET scroll-conservatively
Set scroll-conservatively globally to value (99999999): 999999999 RET
 
The error message is this:
 
Value `999999999.0' does not match type integer of
scroll-conservatively.
 
1. There should be no `.0' added to the echoed input. The actual input
should be echoed.  Emacs shouldn't seem to be complaining about
something the user didn't enter.
 
2. The cause of the error is an arithmetic overflow.  The message should
indicate this, if possible.  If not, it's OK to say that an integer
wasn't entered (since 999999999 is too big to correspond to an integer),
but such a message is not ideal and will be confusing to some users.
 
But the main problem is #1.  Confusion from a message saying that you
didn't input an integer is even greate if what is echoed is a decimal
number (999999999.0).
 
In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-06-14 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6457; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.